%define anolis_release 3

Name:     ntfs-3g-system-compression
Version:  1.0
Release:  %{anolis_release}%{?dist}
Summary:  NTFS-3G plugin for reading "system compressed" files
License:  GPLv2+
URL:      https://github.com/ebiggers/ntfs-3g-system-compression
Source0:  https://github.com/ebiggers/ntfs-3g-system-compression/archive/refs/tags/v%{version}.tar.gz

Patch0:   0001-init-for-buildrequire-package-fuse.patch

BuildRequires: make gcc autoconf automake libtool pkgconfig(libntfs-3g) >= 2017.3.23 python
BuildRequires: fuse3 fuse3-devel fuse3-libs ntfs-3g

%description
NTFS-3G is a stable, open source, GPL licensed, POSIX, read/write NTFS
driver for Linux and many other operating systems.

System compression, also known as "Compact OS", is a Windows feature that
allows rarely modified files to be compressed using the XPRESS or LZX
compression formats.

This RPM package includes a plugin for the NTFS-3G FUSE driver. The plugin
allows the driver to read system-compressed files transparently. Currently,
the plugin only supports reading and does not provide compression. However,
users can compress an already existing file using the "compact" utility on
a Windows system.

%package doc
Summary:Documentation files for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -n %{name}-%{version} -p1
 
%build
autoreconf -i

%configure

%make_build

%install
%make_install
rm -rf %{buildroot}%{_libdir}/ntfs-3g/*.la

%files
%license COPYING
%dir %{_libdir}/ntfs-3g/
%{_libdir}/ntfs-3g/ntfs-plugin-80000017.so

%files doc
%doc README.md

%changelog
* Fri Mar 14 2025 wangzhe <wanglan.wz@alibaba-inc.com> - 1.0-3
- change to use fuse3

* Wed Apr 12 2023 Jing Zhang <renyu.zj@linux.alibaba.com> -1.0-2
- Refact spec

* Wed Apr 20 2022 zhang xianting <zhangxianting@uniontech.com> - 1.0-1
- Initial build for Anolis V23
